netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
fce_util.c File Reference
`#include <arpa/inet.h>`
`#include <errno.h>`
`#include <netdb.h>`
`#include <netinet/in.h>`
`#include <stdbool.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <sys/socket.h>`
`#include <time.h>`
`#include <atalk/adouble.h>`
`#include <atalk/afp.h>`
`#include <atalk/cnid.h>`
`#include <atalk/fce_api.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/unix.h>`
`#include <atalk/util.h>`
`#include <atalk/vfs.h>`
`#include "desktop.h"`
`#include "directory.h"`
`#include "fce_api_internal.h"`
`#include "file.h"`
`#include "fork.h"`
`#include "volume.h"`

## Functions
static long | get_ms_difftime (struct timeval *tv1, struct timeval *tv2)
void | fce_initialize_history (void)
bool | fce_handle_coalescation (int event, const char *path)
int | fce_set_coalesce (const char *opt)
| Set event coalescation to reduce number of events sent over UDP.

## Variables
static uint32_t | coalesce = 0
static struct fce_history | fce_history_list [FCE_HISTORY_LEN]

## Function Documentation

## ◆ fce_handle_coalescation()

bool fce_handle_coalescation | ( | int | event,
|  | const char * | path )

## ◆ fce_initialize_history()

void fce_initialize_history | ( | void |  | ) |

## ◆ fce_set_coalesce()

int fce_set_coalesce | ( | const char * | opt | ) |

Set event coalescation to reduce number of events sent over UDP.

Note
  supports event types all|delete|create

## ◆ get_ms_difftime()

long get_ms_difftime | ( | struct timeval * | tv1,
|  | struct timeval * | tv2 )
| static

## Variable Documentation

## ◆ coalesce

uint32_t coalesce = 0
| static

## ◆ fce_history_list

struct fce_history fce_history_list[FCE_HISTORY_LEN]
| static